{
	"$schema": "https://json.schemastore.org/tsconfig",
	"extends": "@repo/typescript-config/base.json",
	"compilerOptions": {
		"jsx": "react",
		"baseUrl": "./src",
		"target": "esnext",
		"outDir": "./dist",
		"rootDir": "./src",
		"lib": ["dom", "dom.iterable", "esnext"],
		"module": "esnext",
		"noEmit": false,
		"incremental": true,
		"composite": true,
		"moduleResolution": "node",
		"esModuleInterop": true
	},
	"exclude": ["**/node_modules", "**/.*/", "dist", "build"],
	"include": ["./src"]
}
